<table border="0" width="100%" cellspacing="0" cellpadding="0">
  <tr>
    <td width="100%" bgcolor="#F0F0F0"><p><b>&gt;&gt; Авторизированный пользователь <? echo $cl ?> &gt;&gt; Бухгалтерия &gt;&gt; Мой счет</b></p></td>
  </tr>
</table>
<p>&nbsp;</p>

<table border="0" width="98%" cellspacing="0" cellpadding="4" bgcolor="#C0C0C0" align="center">
  <tr>
    <td width="2%" valign="middle" bgcolor="#F0F0F0" height="1" style="border-left: 1 solid #C0C0C0; border-top: 1 solid #C0C0C0; border-bottom: 1 solid #C0C0C0"><p align="center"><img border="0" src="/pic_info.gif" width="16" height="16"></p></td>
    <td width="98%" bgcolor="#F0F0F0" height="1" style="border-right: 1 solid #C0C0C0; border-top: 1 solid #C0C0C0; border-bottom: 1 solid #C0C0C0"><p>В этом разделе Вы можете управлять своим счетом. Для просмотра истории переводов посетите раздел 'Бухгалтерия &gt; История переводов'.</p></td>
  </tr>
</table>
<p>&nbsp;</p>
<?
If ($send == "ok") {
 $wmmsg = wm_send_money($summ, $cl, $cp, trim($ft[8]), "", "Перечисление средств со счета WMSHOP");
 If ($wmmsg == "true") {
  echo "<script> alert('Перечисление успешно завершено!'); document.location.href='/my.phtml$idstr&com=stat';</script>";
 }
 Else {
  echo "<script> alert('Ошибка!!! $wmmsg \\nОбратитесь к администратору najel@inbox.ru, либо по внутренней почте.'); document.location.href='/my.phtml$idstr&com=stat';</script>";
 }
}
ElseIf ($send =="ok2") {

   $shopcnt = 0;
   $fcnt = @file("shopcounts.inc");
   for ($i = 0; $i < count($fcnt); $i++) {
    $car = explode("^", trim($fcnt[$i]));
    If ($car[0] > $shopcnt) {
     $shopcnt = (integer) $car[0];
    }
   }
   $shopcnt = $shopcnt + 1;

 srand((double)microtime()*1000000);
 $rnd = rand(0,999999);


 // Параметры запроса
 $wmid   = trim($ft[7]);
 $summ   = ceil($summ*100)/100;
 $inv_id = $shopcnt;
 $dsc    = "Пополнение личного счета пользователя $cl сервиса WMSHOP";
 $adr    = "http://$serv_const_servname/delivery.phtml?shopcnt=$shopcnt&wm=$wmid";
 $dsc    = str_replace("\\'", "'", str_replace("\\\"", "\"", $dsc));
 $adr    = str_replace("\\'", "'", str_replace("\\\"", "\"", $adr));

 // Вызов сервисной функции модуля wm
 list($wminvc_n, $err) = InvCreate($wmid, $summ, $inv_id, $dsc, $adr);
 //echo "<script> alert('$wmid, $summ, $inv_id, $dsc, $adr'); </script>";

 // Вывод результата
 if ($wminvc_n>0) {
  //print "Счет выписан успешно<BR>№ счета WebMoney: $wminvc_n";

  $fcntw = fopen("shopcounts.inc", "a");
  $sx = md5($shopcnt . $cl . "%f%" . $admxchar);
  fwrite($fcntw, "$shopcnt^$wminvc_n^$cl^$summ^0^$sx^$wmid^0\n");
  fclose($fcntw);

  echo "<script> window.open('http://$serv_const_servname/delivery.phtml?shopcnt=$shopcnt&rnd=$rnd&wm=$wmid'); </script>";
 }
 else {
  //print "Ошибка выписки счета : $err";
  echo "<script> window.open('http://$serv_const_servname/delivery.phtml?err=$err&rnd=$rnd'); </script>";
 }

 echo "<script> document.location.href='/my.phtml$idstr&com=stat'; </script>";
 exit;
}
?>
<SCRIPT language=javascript> 

function  chksumm(summa){
	var LenValue = summa.toString().length;
	if(LenValue == 0) return false;
	var LastSimvol;
	for(i=0; i<LenValue; i++){
		LastSimvol = summa.toString().substring(i, i+1);
		if(LastSimvol != '1' && LastSimvol != '2' && LastSimvol != '3' && LastSimvol != '4' && LastSimvol != '5'
		&& LastSimvol != '6' && LastSimvol != '7' && LastSimvol != '8' && LastSimvol != '9' && LastSimvol != '0'
		&& LastSimvol != '.'){
			return false;
		}
		if((LastSimvol == '.' ) && i==0){
			return false;
		}
	}
	return true;
}
function frmpost(){
	alls = <? If (trim($ft[9]) <> "") { echo trim($ft[9]); } Else { echo "0"; } ?>;

	if(document.all){
		if(frm.summ.value < 0.01){
			alert('Пожалуйста, корректно заполните сумму перевода! Сумма перевода должна превышать нуль!');
			return;
		}
		if(!chksumm(frm.summ.value)){
			alert('Правильно укажите цену!');
			return;
		}
		if(frm.summ.value < 0.01){
			alert('Пожалуйста, корректно заполните сумму перевода! Сумма перевода должна превышать нуль!');
			return;
		}
		if(frm.itog.value > alls){
			alert('Пожалуйста, корректно заполните сумму перевода! Сумма перевода не должна превышать ' + alls + 'wm?');
			return;
		}

		if(confirm('Вы уверены, что хотите перевести ' + frm.itog.value + 'wm?')){
			frm.submit();
		}
		
	}	
}

function frm2post(){
	if(document.all){
		if(frm2.summ.value < 0.01){
			alert('Пожалуйста, корректно заполните сумму перевода! Сумма перевода должна превышать нуль!');
			return;
		}
		if(!chksumm(frm2.summ.value)){
			alert('Правильно укажите цену!');
			return;
		}
		if(frm2.summ.value < 0.01){
			alert('Пожалуйста, корректно заполните сумму перевода! Сумма перевода должна превышать нуль!');
			return;
		}
		if(confirm('Вы уверены, что хотите пополнить свой счет на ' + frm2.summ.value + '?')){
			frm2.submit();
		}
		
	}	
}
function comis(){
	par1 = Math.ceil(frm.summ.value * 0.008 * 100) / 100;
	frm.commission.value = par1;
        par2 = Math.ceil(frm.summ.value * 100) / 100;
	frm.itog.value = (par1*100 + par2*100) / 100;
}
</SCRIPT>

<table border="0" width="98%" cellpadding="0" align="center" style="border: 1 solid #0000FF" cellspacing="1">
  <tr>
    <td width="100%" valign="top">
      <table border="0" width="100%" cellspacing="0" cellpadding="0">
        <tr>
           <td width="100%" bgcolor="#FBC900"><p><b>Мой счет</b></p></td>
        </tr>
        <tr>
           <td width="100%">
      <p>На вашем счету: <b><? echo trim($ft[9]) ?></b>wm.</p>
      <p>Максимально возможная сумма для перевода (за вычетом комиссии системы WMT*): <b><? echo floor(trim($ft[9]) / (1 + 0.008)*100)/100 ?></b>wm.</p>
      <form method="POST" name="frm">
        <input type="hidden" name="send" value="ok">
        <p><img border="0" src="/pic_purse.gif" width="16" height="16"> Перевести <input type="text" name="summ" onKeyUp="comis();" size="6" value="0" style="font-family: Verdana, Arial; font-size: 8pt; border: 1 solid #7F9DB9"> на мой WM Keeper, комиссия WMT* <input type="text" name="commission" size="6" value="0" style="font-family: Verdana, Arial; font-size: 8pt; border: 1 solid #7F9DB9" disabled>, итого требуется  <input type="text" name="itog" size="6" value="0" style="font-family: Verdana, Arial; font-size: 8pt; border: 1 solid #7F9DB9" disabled>wm <input type="button" onClick="frmpost();" name="B1" style="font-family: Verdana, Arial; font-size: 8pt" value="Перевести"></p>
      </form>
      <hr size="1" color="#C0C0C0">
      <form method="POST" name="frm2">
        <input type="hidden" name="send" value="ok2">
        <p>Пополнить свой WMSHOP счет на <input type="text" name="summ" size="6" value="0" style="font-family: Verdana, Arial; font-size: 8pt; border: 1 solid #7F9DB9">wm <input type="button" onClick="frm2post();" name="B1" style="font-family: Verdana, Arial; font-size: 8pt" value="Пополнить"></p>
      </form>
           </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<p>&nbsp;&nbsp;<b>WMT*</b> - Система Web Money Transfer</p>